- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SystemOption Class Reference

the SystemOption class. More...

`#include <OSOption.h>`

Collaboration diagram for SystemOption:

[legend]
List of all members.

## Public Member Functions
| SystemOption ()
| Default constructor.
| ~SystemOption ()
| Class destructor.
bool | IsEqual (SystemOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
StorageCapacity * | minDiskSpace
| the minimum disk space required
StorageCapacity * | minMemorySize
| the minimum memory required
CPUSpeed * | minCPUSpeed
| the minimum CPU speed required
CPUNumber * | minCPUNumber
| the minimum number of processors required
OtherOptions * | otherOptions
| the list of other system options

## Detailed Description

the SystemOption class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 500 of file OSOption.h.

## Constructor & Destructor Documentation

SystemOption::SystemOption | ( |  | ) |

Default constructor.

Definition at line 216 of file OSOption.cpp.

References minCPUNumber, minCPUSpeed, minDiskSpace, minMemorySize, and otherOptions.

SystemOption::~SystemOption | ( |  | ) |

Class destructor.

Definition at line 228 of file OSOption.cpp.

References minCPUNumber, minCPUSpeed, minDiskSpace, minMemorySize, and otherOptions.

## Member Function Documentation

bool SystemOption::IsEqual | ( | SystemOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 8144 of file OSOption.cpp.

References minCPUNumber, minCPUSpeed, minDiskSpace, minMemorySize, and otherOptions.

bool SystemOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10286 of file OSOption.cpp.

References minCPUNumber, minCPUSpeed, minDiskSpace, minMemorySize, OSRand(), otherOptions, OtherOptions::setRandom(), CPUNumber::setRandom(), CPUSpeed::setRandom(), and StorageCapacity::setRandom().

Referenced by OSOption::setRandom().

## Member Data Documentation

StorageCapacity* SystemOption::minDiskSpace

the minimum disk space required

Definition at line 504 of file OSOption.h.

Referenced by OSOption::getMinDiskSpace(), OSOption::getMinDiskSpaceDescription(), OSOption::getMinDiskSpaceUnit(), IsEqual(), OSOption::setMinDiskSpace(), OSOption::setMinDiskSpaceUnit(), setRandom(), SystemOption(), OSoLWriter::writeOSoL(), and ~SystemOption().

StorageCapacity* SystemOption::minMemorySize

the minimum memory required

Definition at line 507 of file OSOption.h.

Referenced by OSOption::getMinMemoryDescription(), OSOption::getMinMemorySize(), OSOption::getMinMemoryUnit(), IsEqual(), OSOption::setMinMemorySize(), OSOption::setMinMemoryUnit(), setRandom(), SystemOption(), and ~SystemOption().

CPUSpeed* SystemOption::minCPUSpeed

the minimum CPU speed required

Definition at line 510 of file OSOption.h.

Referenced by OSOption::getMinCPUSpeed(), OSOption::getMinCPUSpeedDescription(), OSOption::getMinCPUSpeedUnit(), IsEqual(), OSOption::setMinCPUSpeed(), OSOption::setMinCPUSpeedUnit(), setRandom(), SystemOption(), and ~SystemOption().

CPUNumber* SystemOption::minCPUNumber

the minimum number of processors required

Definition at line 513 of file OSOption.h.

Referenced by OSOption::getMinCPUNumber(), OSOption::getMinCPUNumberDescription(), IsEqual(), OSOption::setMinCPUNumber(), setRandom(), SystemOption(), and ~SystemOption().

OtherOptions* SystemOption::otherOptions

the list of other system options

Definition at line 516 of file OSOption.h.

Referenced by OSOption::getNumberOfOtherSystemOptions(), OSOption::getOtherSystemOptions(), IsEqual(), OSOption::setAnOtherSystemOption(), OSOption::setOtherSystemOptions(), setRandom(), SystemOption(), and ~SystemOption().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp